#ifndef _Handle_PCollection_HExtendedString_HeaderFile
#define _Handle_PCollection_HExtendedString_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PCollection_HExtendedString;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PCollection_HExtendedString);

class Handle(PCollection_HExtendedString) : public Handle(Standard_Persistent) {
  public:

    Handle(PCollection_HExtendedString)():Handle(Standard_Persistent)() {} 
    Handle(PCollection_HExtendedString)(const Handle(PCollection_HExtendedString)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PCollection_HExtendedString)(const PCollection_HExtendedString* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PCollection_HExtendedString)& operator=(const Handle(PCollection_HExtendedString)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PCollection_HExtendedString)& operator=(const PCollection_HExtendedString* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PCollection_HExtendedString* operator->() const 
     {
      return (PCollection_HExtendedString *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PCollection_HExtendedString) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
